# React Query UI

This is a simple 2 value query builder

## To use in your own project:

```
 $ yarn add react-query-ui
```

Then run like this:

```
import {Builder} from 'react-query-ui'

<Builder
	handleChangeValue1={(value) => console.log(value)}
	handleChangeMode={(value) => console.log(value)}
	handleChangeValue2={(value) => console.log(value)}
/>
```

### API

```
	showInput: boolean;
	showOutput: boolean;
	handleChangeValue1: (event: InputEvent) => void,
	handleChangeMode: (event: InputEvent) => void,
	handleChangeValue2: (event: InputEvent) => void,
	Select: any,
	Option: any,
	Input: any,

```

## To run this project in dev mode:

```
 $ yarn storybook
```
